Subject: bug#18756: 24.4; shell-script-mode does wrong indentation

From: Alexis <[email-masked]>
Date: Wed, 22 Oct 2014 14:37:30 +1100

Stefan Monnier writes:

>> Out of interest, what's the status of electric-indent-mode (i.e.,
>> enabled or disabled?) in fundamental-mode, shell-script-mode, c-mode and
>> lisp-interaction-mode?
>
> It's a global mode, so it's either enabled everywhere or nowhere.

Ah okay.

The reason i asked is because of this:

https://lists.gnu.org/archive/html/emacs-orgmode/2014-10/msg00607.html
https://lists.gnu.org/archive/html/emacs-orgmode/2014-10/msg00650.html

and this:

https://www.reddit.com/r/emacs/comments/2jxpz9/anyone_having_issues_with_jsmode_in_244/

Since electric-indent-mode was the common factor in those instances, i
was wondering if it might be involved with this issue also ....